Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.javacc
Class JavaCC

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.optional.javacc.JavaCC

public class JavaCC
extends Task

Taskdef for the JavaCC compiler compiler.

Author:
  thomas.haas@softwired-inc.com, Michael Saunders michael@amtec.com

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`JavaCC()`

Method Summary
`void` | `execute()` Called by the project to let the task do it's work.
`void` | `setBuildparser(boolean buildParser)`
`void` | `setBuildtokenmanager(boolean buildTokenManager)`
`void` | `setCachetokens(boolean cacheTokens)`
`void` | `setChoiceambiguitycheck(int choiceAmbiguityCheck)`
`void` | `setCommontokenaction(boolean commonTokenAction)`
`void` | `setDebuglookahead(boolean debugLookahead)`
`void` | `setDebugparser(boolean debugParser)`
`void` | `setDebugtokenmanager(boolean debugTokenManager)`
`void` | `setErrorreporting(boolean errorReporting)`
`void` | `setForcelacheck(boolean forceLACheck)`
`void` | `setIgnorecase(boolean ignoreCase)`
`void` | `setJavacchome(java.io.File javaccHome)`
`void` | `setJavaunicodeescape(boolean javaUnicodeEscape)`
`void` | `setLookahead(int lookahead)`
`void` | `setOptimizetokenmanager(boolean optimizeTokenManager)`
`void` | `setOtherambiguityCheck(int otherAmbiguityCheck)`
`void` | `setOutputdirectory(java.io.File outputDirectory)`
`void` | `setSanitycheck(boolean sanityCheck)`
`void` | `setStatic(boolean staticParser)`
`void` | `setTarget(java.io.File target)`
`void` | `setUnicodeinput(boolean unicodeInput)`
`void` | `setUsercharstream(boolean userCharStream)`
`void` | `setUsertokenmanager(boolean userTokenManager)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaCC

    public JavaCC()

Method Detail

### setLookahead

    public void setLookahead(int lookahead)

### setChoiceambiguitycheck

    public void setChoiceambiguitycheck(int choiceAmbiguityCheck)

### setOtherambiguityCheck

    public void setOtherambiguityCheck(int otherAmbiguityCheck)

### setStatic

    public void setStatic(boolean staticParser)

### setDebugparser

    public void setDebugparser(boolean debugParser)

### setDebuglookahead

    public void setDebuglookahead(boolean debugLookahead)

### setDebugtokenmanager

    public void setDebugtokenmanager(boolean debugTokenManager)

### setOptimizetokenmanager

    public void setOptimizetokenmanager(boolean optimizeTokenManager)

### setErrorreporting

    public void setErrorreporting(boolean errorReporting)

### setJavaunicodeescape

    public void setJavaunicodeescape(boolean javaUnicodeEscape)

### setUnicodeinput

    public void setUnicodeinput(boolean unicodeInput)

### setIgnorecase

    public void setIgnorecase(boolean ignoreCase)

### setCommontokenaction

    public void setCommontokenaction(boolean commonTokenAction)

### setUsertokenmanager

    public void setUsertokenmanager(boolean userTokenManager)

### setUsercharstream

    public void setUsercharstream(boolean userCharStream)

### setBuildparser

    public void setBuildparser(boolean buildParser)

### setBuildtokenmanager

    public void setBuildtokenmanager(boolean buildTokenManager)

### setSanitycheck

    public void setSanitycheck(boolean sanityCheck)

### setForcelacheck

    public void setForcelacheck(boolean forceLACheck)

### setCachetokens

    public void setCachetokens(boolean cacheTokens)

### setOutputdirectory

    public void setOutputdirectory(java.io.File outputDirectory)

### setTarget

    public void setTarget(java.io.File target)

### setJavacchome

    public void setJavacchome(java.io.File javaccHome)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.
  Overrides:
    `execute` in class `Task`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.